/**
 * Freqtrade API
 * No description provided (generated by Openapi Generator https://github.com/openapitools/openapi-generator)
 *
 * The version of the OpenAPI document: 2021.12-dev21
 * 
 *
 * NOTE: This class is auto generated by OpenAPI Generator (https://openapi-generator.tech).
 * https://openapi-generator.tech
 * Do not edit the class manually.
 *
 */

import ApiClient from '../ApiClient';
import DailyRecord from './DailyRecord';

/**
 * The Daily model module.
 * @module model/Daily
 * @version 2021.12-dev21
 */
class Daily {
    /**
     * Constructs a new <code>Daily</code>.
     * @alias module:model/Daily
     * @param data {Array.<module:model/DailyRecord>} 
     * @param fiatDisplayCurrency {String} 
     * @param stakeCurrency {String} 
     */
    constructor(data, fiatDisplayCurrency, stakeCurrency) { 
        
        Daily.initialize(this, data, fiatDisplayCurrency, stakeCurrency);
    }

    /**
     * Initializes the fields of this object.
     * This method is used by the constructors of any subclasses, in order to implement multiple inheritance (mix-ins).
     * Only for internal use.
     */
    static initialize(obj, data, fiatDisplayCurrency, stakeCurrency) { 
        obj['data'] = data;
        obj['fiat_display_currency'] = fiatDisplayCurrency;
        obj['stake_currency'] = stakeCurrency;
    }

    /**
     * Constructs a <code>Daily</code> from a plain JavaScript object, optionally creating a new instance.
     * Copies all relevant properties from <code>data</code> to <code>obj</code> if supplied or a new instance if not.
     * @param {Object} data The plain JavaScript object bearing properties of interest.
     * @param {module:model/Daily} obj Optional instance to populate.
     * @return {module:model/Daily} The populated <code>Daily</code> instance.
     */
    static constructFromObject(data, obj) {
        if (data) {
            obj = obj || new Daily();

            if (data.hasOwnProperty('data')) {
                obj['data'] = ApiClient.convertToType(data['data'], [DailyRecord]);
            }
            if (data.hasOwnProperty('fiat_display_currency')) {
                obj['fiat_display_currency'] = ApiClient.convertToType(data['fiat_display_currency'], 'String');
            }
            if (data.hasOwnProperty('stake_currency')) {
                obj['stake_currency'] = ApiClient.convertToType(data['stake_currency'], 'String');
            }
        }
        return obj;
    }


}

/**
 * @member {Array.<module:model/DailyRecord>} data
 */
Daily.prototype['data'] = undefined;

/**
 * @member {String} fiat_display_currency
 */
Daily.prototype['fiat_display_currency'] = undefined;

/**
 * @member {String} stake_currency
 */
Daily.prototype['stake_currency'] = undefined;






export default Daily;

